// hellow.cpp

#using <mscorlib.dll>
#using <System.dll>
#using <System.Drawing.dll>
#using <System.Windows.Forms.dll>

using namespace System;
using namespace System::Drawing;
using namespace System::Windows::Forms;


__gc class MyForm: public Form
{
public:
	Label *msglbl;
	Button *closebtn;

	MyForm();
	void closebtn_Click(Object *sender, System::EventArgs* e);
};

MyForm ::MyForm()
{
	this->Size = System::Drawing::Size(160, 120);
	this->Text = "HelloWin";
	this->StartPosition = FormStartPosition::CenterScreen;
	this->FormBorderStyle = FormBorderStyle::FixedSingle;
	this->MaximizeBox = false;
	this->MinimizeBox = false;

	msglbl = new Label();
	msglbl->Name = "msglbl";
	msglbl->Text = "hello, world.";
	msglbl->AutoSize = true;
	msglbl->Location = Point((this->ClientSize.Width - msglbl->Size.Width) / 2, 10);	
	this->Controls->Add(msglbl);

	closebtn = new Button();
	closebtn->Name = "closebtn";
	closebtn->Text = "(&C)";
	closebtn->Size = System::Drawing::Size(80, 22);
	closebtn->Location = Point((this->ClientSize.Width - closebtn->Size.Width) / 2, this->ClientSize.Height - closebtn->Size.Height - 10);
	closebtn->add_Click(new EventHandler(this, &MyForm::closebtn_Click));
	this->Controls->Add(closebtn);
}

void MyForm::closebtn_Click(Object *sender, System::EventArgs *e)
{
	Application::Exit();
}

int __stdcall WinMain()
{
	Application::Run(new MyForm());
	return 0;
}
