// hellow.cs
//
// {` (GUI)

using System;
using System.Drawing;
using System.Windows.Forms;

public class HelloWin : Form {
	private Button closebtn;
	private Label msglbl;

	protected void closebtn_Click(object s, System.EventArgs e) {
		Application.Exit();
	}

	public HelloWin() {
		this.Size = new Size(160, 120);
		this.Text = "HelloWin";
		this.StartPosition = FormStartPosition.CenterScreen;
		this.FormBorderStyle = FormBorderStyle.FixedSingle;
		this.MaximizeBox = false;
		this.MinimizeBox = false;

		msglbl = new Label();
		msglbl.Name = "msglbl";
		msglbl.Text = "hello, world.";
		msglbl.AutoSize = true;
		msglbl.Location = new Point((this.ClientSize.Width - msglbl.Size.Width) / 2, 10);
		msglbl.Anchor = AnchorStyles.Top;
		this.Controls.Add(msglbl);

		this.closebtn = new Button();
		closebtn.Name = "closebtn";
		closebtn.Text = "(&C)";
		closebtn.Size = new Size(80, 22);
		closebtn.Location = new Point((this.ClientSize.Width - closebtn.Size.Width) / 2, this.ClientSize.Height - closebtn.Size.Height - 10);
		closebtn.Click += new EventHandler(closebtn_Click);
		closebtn.Anchor = AnchorStyles.Bottom;
		this.Controls.Add(closebtn);
	}

	public static void Main() {
		Application.Run(new HelloWin());
	}
}
